﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class Slider_users_DynamicSliders : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{
		ClientScript.GetPostBackEventReference(this, string.Empty);
	}

	protected override void OnInit(EventArgs e)
	{
		base.OnInit(e);
		if (IsPostBack)
		{
			if (Request.Form.Get("__EVENTTARGET") == HdnVCCommandBtn.ClientID.Replace("_", "$"))
			{
				RadSlidingZone rightZone = new RadSlidingZone();
				rightZone.ID = "RightZone";
				rightZone.SlideDirection = Telerik.Web.UI.SplitterSlideDirection.Left;
				rightZone.Width = RightPane.Width;
				RadSlidingPane rightSlidingPane1 = new RadSlidingPane();
				rightSlidingPane1.ID = "RightSlidingPane1";
				rightSlidingPane1.Title = "Right1";
				rightSlidingPane1.Width = new Unit(300);
				rightZone.Items.Add(rightSlidingPane1);
				RadSlidingPane rightSlidingPane2 = new RadSlidingPane();
				rightSlidingPane2.ID = "RightSlidingPane2";
				rightSlidingPane2.Title = "Right2";
				rightSlidingPane2.Width = new Unit(300);
				rightZone.Items.Add(rightSlidingPane2);
				//RightPane.Controls.Add(rightZone); 
				TestPanel.Controls.Add(rightZone);

				var _testSlider = LoadControl("TestSlider.ascx") as Slider_users_TestSlider;
				if (_testSlider != null)
				{
					_testSlider.EnableViewState = true;
					_testSlider.ID = String.Concat("UC", 1);

					rightSlidingPane1.Controls.Add(_testSlider as Control);
				}
			}
		}
	}

	protected void PostbackButton_Click(object sender, EventArgs e)
	{
	}
}